Subject: For implementation guide ....

From: Hiroshi Tamura <[email-masked]>
Date: Fri, 09 Jul 1999 15:25:46 +0900

For implementation guide, I summarised the thread "Decode error"
last month, for the reference in Oslo meeting, as follows.

Some of them are not yet confirmed clearly. [] is just my comment for it.

--- Begin ---

1 Response when delivery confirmation is requested

This case is only applied for the SMTP-type Ifax device or software
which understands DSN.

1.1 Successfully received
Action: delivered

1.2 Decode-Error
1.2.2 Detect error after the whole message is received
("250" is returned to the previous MTA after receiving CRLF+'.'+CRLF)

Action: failed
Status: 5.6.1

Another status code may be possible
       X.6.0   Other or undefined media error
       X.6.1   Media not supported
       X.6.3   Conversion required but not supported
       X.6.4   Conversion with loss performed
       X.6.5   Conversion Failed

[What about Diagnostic-Code ?]
[Not decided clearly]

1.2.3 Detect error before the whole message is received
("554"(Transaction failed) is returned to the previous MTA
after receiving CRLF+'.'+CRLF)

The previous MTA creates the error message, which may be the
format of DSN. The previous MTA sends the error mail to the
original sender.

If the device supports RFC2034("SMTP Service Extension for Returning
Enhanced Error Codes") and the previous MTA supports DSN and RFC2034
and the device returns "554 5.6.1 xxxxx" after receiving CRLF+'.'+CRLF
to the previous MTA, the previous MTA may create the following DSN.

Action: failed
Diagnostic-Code: smtp; 554 xxxxxx
Status: 5.6.1

[      ]

2 Response when processing confirmation is requested

This case is applied for the POP3/IMAP4-type Ifax device or software
which understands MDN.

2.1 Successfully received
dispotion-type = "displayed" or "dispatched" or "processed"

For Box-type device
  "dispatched" or "processed"

For PC-type software or device
  "displayed"

[Not decided clearly]

2.2 Decode-Error or Warning
dispotion-type = "processed" or "displayed"
dispotion-modifier = "error" or "warning"

Error: XXX-error happened.
 or
Warning: XXX happend.

For Box-type device
  "processed/error" or "processed/warning"

For PC-type software or device
  "processed/error" or "processed/warning" or
  "displaeed/error" or "displayed/warning"

[Not decided clearly]

3 Response when both are requested

This case is only applied for the SMTP-type Ifax device
which understands both DSN and MDN.

[Not discussed yet]

--- End ---

I think this is just the starting level.
Some may be wrong.
Much discussion is necessary to complete.

I hope this helps discussion in Oslo and mail-list.

Regards,
--
Hiroshi Tamura, Ricoh Company, LTD.
Mail: [email-masked]
Tel: +81-462-28-7459  Fax: +81-462-28-7500 (SUB/F-code 5727)